stages:
  - build

build-arm:
  image: spacedot/build-arm
  stage: build
  script:
    - mkdir conan-build
    - conan profile detect --force
    - cp conan-arm-profile /root/.conan2/profiles/
    - conan remote add conan https://artifactory.spacedot.gr/artifactory/api/conan/conan
    - conan remote login -p $CONAN_PASSWORD conan $CONAN_USER
    - cd lib
    - git clone https://gitlab.com/acubesat/obc/cross-platform-software.git
    - cd cross-platform-software && git submodule update --init --recursive
    - cd ..
    - git clone https://gitlab.com/acubesat/obc/atsam-component-drivers.git
    - cd atsam-component-drivers && git submodule update --init --recursive
    - cd ..
    - cd ..
    - conan install . --output-folder conan-build --build=missing -pr conan-arm-profile
    - cmake . -DCMAKE_BUILD_TYPE=Debug -DCMAKE_TOOLCHAIN_FILE=conan-build/build/Debug/generators/conan_toolchain.cmake -DCMAKE_CXX_COMPILER="arm-none-eabi-g++" -DCMAKE_C_COMPILER="arm-none-eabi-gcc"
    - make -j$(nproc)